# AGTools

本工具是利用[ag_toolsbox](https://git.archgrid.xyz/xt/ag_toolsbox)工具库编制的便捷工具，能够在命令行中实现 ag_toolsbox 中定义的绝大多数功能。

```bash
AGTools是一个基于ag_toolsbox开发的工具集合，主要提供了常用加密、散列、时间生成、随机字符串生成等方法。

Usage:
  agtools [command]

Available Commands:
  3des        3DES加密算法工具
  aes         AES加密算法工具
  base64      对给定内容进行base64编码或解码
  completion  Generate the autocompletion script for the specified shell
  crc16       CRC16校验
  crc32       CRC32校验
  crc64       CRC64校验
  crc8        CRC8校验
  des         DES加密算法工具
  hail        使用冰雹ID生成算法生成一个唯一ID
  help        Help about any command
  md5         使用md5算法计算文件或者字符串的哈希值。
  phash       使用pHash算法计算指定图像文件的感知哈希值。
  rsa         RSA加密算法工具
  sha1        使用Sha1算法计算文件或者字符串的哈希值
  sha256      使用Sha256算法计算文件或字符串的哈希值。
  sha512      使用Sha512算法计算文件或字符串的哈希值。
  spiral      螺旋随机密钥自解密算法工具
  verify_code 生成指定长度的随机验证码
  version     输出当前工具版本号

Flags:
  -h, --help   help for agtools

Use "agtools [command] --help" for more information about a command.
```

工具的具体使用方法可参考工具的自身的帮助说明。

本工具使用 Go 1.20.5 编写，支持 macOS、Windows 与 Linux 等常见平台。
